Subject: bug#17125: bug#18041: 24.3; Exiting emacsclient kills emacs --daemon

From: Alexis <[email-masked]>
Date: Fri, 18 Jul 2014 11:32:21 +1000

Perhaps related to bug #17125?

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17125

Alexis.

--

Mel Byrne writes:

> Running emacs 24.3.1 on Linux Mint 17 Cinnamon edition. I start an emacs
> daemon using
>
> $ emacs --daemon
>
> and connect to it using
>
> $ emacsclient -c
>
> I open 5 shell buffers called k0 and [0123]_idl. I run bash in k0 and an
> interactive IDL process in each of the ?_idl buffers. I start IDL
> number-crunching processes in each of the ?_idl buffers. I then ssh -X
> into the machine and run another emacsclient -c to give me access and
> control to the ?_idl processes. Exiting the emacsclient using either C-x
> C-c *or* C-x 5 0 kills the emacs 24.3.1 daemon.
>
> On my Linux Mint 13 MATE machine, I can run emacsclient against the
> emacs 23 daemon and exit using either C-x C-c or C-x 5 0 without killing
> the emacs daemon.
>
>
> In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
>   of 2014-03-07 on lamiak, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.11501000
> System Description:    Linux Mint 17 Qiana
>
> Configured using:
>   `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
>   '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
>   '--localstatedir=/var/lib' '--infodir=/usr/share/info'
>   '--mandir=/usr/share/man' '--with-pop=yes'
>   '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
>   '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
>   '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
>   'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
>   --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
>   'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
>   'CPPFLAGS=-D_FORTIFY_SOURCE=2''
>
> Important settings:
>    value of $LANG: en_IE.UTF-8
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: nil
>
> Major mode: Shell
>
> Minor modes in effect:
>    shell-dirtrack-mode: t
>    tooltip-mode: t
>    mouse-wheel-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> <up> <up> <backspace> 4 C-x C-s C-x b <return> c d
> <return> t c s h <return> s s w i d l <return> c d
> , SPC ' s r c / g e n _ c u b e ' <return> C-x b <return>
> C-x b <return> g e n _ c u b e <return> M-x s h e l
> l <return> M-x r e n a m e SPC b SPC 2 <backspace>
> <return> 2 _ i d l <return> t c s h <return> s s w
> i d l <return> c d , SPC ' s r c / g e n <tab> ' <return>
> C-x b g e <tab> <return> <backspace> 8 C-x C-s C-x
> b <return> g e n _ c u b e <return> M-x s h e l l <return>
> M-x r e n a m e SPC b SPC <return> 3 _ i d l <return>
> C-x b g e n <tab> <return> <backspace> 1 2 C-x C-s
> C-x b <return> t c s h <return> s s w i d l <return>
> c d , SPC ' s r c / g e n _ c u b e ' <return> g e
> n _ c u b e <return> C-x b 0 <tab> <return> C-x C-f
> D e s k <tab> i n <tab> <return> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> <right> <right> <right> <right>
> <right> <right> <right> C-d C-d C-d C-d C-d C-d C-d
> C-d C-d C-d <down> C-d C-d C-d C-d C-d C-d C-d C-d
> C-d C-d C-x C-s C-x k <return> M-x r e p o r t SPC
> e , a <backspace> <backspace> m a c s SPC b i g <backspace>
> <backspace> u g <return>
>
> Recent messages:
> Normalizing idlwave-system-routines in idle time...done
> Loading and normalizing library catalogs in idle time...done
> Finishing initialization in idle time...
> Scanning all buffers...
> Setting up indent for shell type sh
> setting up indent stuff
> Indentation variables are now local.
> Indentation setup for shell type sh
> Saving file /home/mel/Desktop/install.sh...
> Wrote /home/mel/Desktop/install.sh
>
> Load-path shadows:
> /usr/share/emacs/24.3/site-lisp/debian-startup hides 
> /usr/share/emacs/site-lisp/debian-startup
>
> Features:
> (shadow sort gnus-util mail-extr warnings emacsbug message format-spec
> rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sh-script smie executable vc-git idlwave
> imenu idlwave-help idlw-help browse-url shell pcomplete comint
> ansi-color ring color-theme cl-macs gv edmacro kmacro wid-edit cl cl-lib
> sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
> reporter easymenu jka-compr time-date tooltip ediff-hook vc-hooks
> lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
> fringe tabulated-list newcomment lisp-mode register page menu-bar
> rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
> facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
> czech european ethiopic indian cyrillic chinese case-table epa-hook
> jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
> cus-face macroexp files text-properties overlay sha1 md5 base64 format
> env code-pages mule custom widget hashtable-print-readable backquote
> make-network-process dbusbind dynamic-setting system-font-setting
> font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)